Page MenuHomePhabricator

labsdb accounts being created without grants to create personal databases
Closed, ResolvedPublic

Description

MariaDB  labsdb1005 (none) > SHOW GRANTS FOR 's52584';
+---------------------------------------------------------------------------------------------------
| Grants for s52584@%                                                                               
+---------------------------------------------------------------------------------------------------
| GRANT SHOW VIEW ON *.* TO 's52584'@'%' IDENTIFIED BY PASSWORD 'PASS'
| GRANT SELECT, SHOW VIEW ON `%\_p`.* TO 's52584'@'%'                                               
+---------------------------------------------------------------------------------------------------
2 rows in set (0.00 sec)

MariaDB  labsdb1005 (none) > SHOW GRANTS FOR 's52585';
+---------------------------------------------------------------------------------------------------
| Grants for s52585@%                                                                               
+---------------------------------------------------------------------------------------------------
| GRANT SHOW VIEW ON *.* TO 's52585'@'%' IDENTIFIED BY PASSWORD 'PASS'
| GRANT SELECT, SHOW VIEW ON `%\_p`.* TO 's52585'@'%'                                               
+---------------------------------------------------------------------------------------------------
2 rows in set (0.00 sec)

s52583 is ok, and s52586 does not exist.

Event Timeline

jcrespo created this task.Mar 22 2016, 11:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 11:30 AM
jcrespo triaged this task as Normal priority.Mar 22 2016, 11:40 AM

I've added manually privileges to the user affected, s52584 on labsdb1005, but the issue should be checked (was it a one-time script failed to execute?). Is it something recurring?

When you reach conclusions, I can add the lacking grants, that is not a problem.

Thanks! I'm including this possibly relevant comment on IRC, the mentioned outage happened in June 2015 (I presume it was 20150617-LabsNFSOutage since I gained access to Labs on 19/06):

[12:35] <PeterBowman> jynus: I recall that my tool was created during a major labs outage, and replica.my.cnf didn't show up until several days (maybe weeks) later

So the user in question was created and did have some permissions but was missing others?

It is a periodic script that runs that does this, if it's the process I'm thinking of, and I'm not sure how it could miss in this way unless it's just generally broken for labsdb1005 in particular

It is happening for all servers. I suspect a wrong grant for new accounts.

Luke081515 moved this task from Triage to Backlog on the Cloud-Services board.Mar 25 2016, 2:59 PM
jcrespo closed this task as Resolved.May 31 2016, 3:44 PM
jcrespo claimed this task.

Fixed on T135947 AFAIK.